//
//  Beacon.h
//  Neoma
//
//  Created  on 6/20/15.
//  Copyright (c) 2015 Neoma. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Beacon : NSObject

@property double adDistance;
@property NSString *name;
@property double x;
@property double y;
@property int txPower;
@property int measuredPower;
@property double realDistance;
@property int batteryLevel;
@property NSString* region;
-(instancetype)initBeacon:(NSString *)region battery:(int)batteryLevel adDistance:(double)adDistance realDistance:(double)realDistance;

@end
