//
//  Queue.h
//  NeomaSDK
//
//  Created by Antima Gangwar on 18/05/18.
//  Copyright © 2018 Neoma Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface MovingBeacon : NSObject {
}
@property int limit;
@property NSDate *lastEntry;

@property NSMutableArray* objects;

@property NSString *name;
@property NSString * region;
@property NSString * guestname;
@property NSString * speakingName;
@property NSString * textName;
@property NSString * areaType;
@property NSString * areaName;
@property NSString * checkinDate;
@property NSString * checkoutDate;

@property NSDictionary * profile;
@property BOOL status;
@property double distance;
@property NSIndexPath *index;

@property NSString *CurrentLocation;

//@property NSDictionary *profile;
- (id)init:(int)limit;
-(id)initBeacon:(int)limit region:(NSString *)region name:(NSString *)name profile:(NSDictionary *)profile distance:(int)distance;
-(id)initBeacon:(int)limit region:(NSString *)region name:(NSString *)name areaName:(NSString *)areaName  areaType:(NSString *)areaType  guestname:(NSString *)guestname chekIn:(NSString *)checkInTime checkOut:(NSString *)checkOutTime;

- (void)addDouble:(double)object ;
-(NSNumber *)getAvergeDistance;
-(NSString *)isApproching;
-(BOOL)isOldBeacon;
-(BOOL)isTooOldBeacon;
//- (id)takeObject;
@end
