//
//  NeomaCurrentLocation.h
//  NeomaSDK
//
//  Created  on 3/20/17.
//  Copyright © 2017 Neoma Ltd. All rights reserved.
//

#import <CoreLocation/CoreLocation.h>
#import <UIKit/UIKit.h>
@interface NeomaCurrentLocation : UIViewController<CLLocationManagerDelegate>
typedef void(^locationBlock)(void);
typedef void(^locationBlockNew)(NSString *lat, NSString *lon);

-(void)GetCurrentLocation_WithBlock:(void(^)(void))block;
-(void)getCurrentLocation:(void(^)(NSString *, NSString *))block;


@property (nonatomic, strong) locationBlock _locationBlock;
@property (nonatomic, strong) locationBlockNew _locationBlockNew;

@property (nonatomic,copy)CLLocationManager *locationManager;
@property (nonatomic)CLLocationCoordinate2D coordinate;
@property (nonatomic,strong) NSString *current_Lat;
@property (nonatomic,strong) NSString *current_Long;

-(void)loadLocation;

@end
