//
//  NeomaPublicConstants.h
//  NeomaSDK
//
//  Created  on 1/20/16.
//  Copyright © 2016 Neoma Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NeomaPublicConstants : NSObject

extern NSString *NEOMA_NEAR_BY_NOTIFICATION;
extern NSString *NEOMA_HISTORY_UPDATED;
extern NSString *NEOMA_SDK_UPDATED_BROADCAST;
extern NSString *NEOMA_BEACON_UPDATED_BROADCAST;
extern NSString *NEOMA_REGION_CHANGE_BROADCAST;

extern  NSString *NEOMA_USER_FIRST_NAME;
extern  NSString *NEOMA_USER_LAST_NAME;
extern  NSString *NEOMA_USER_EMAIL;
extern  NSString *NEOMA_USER_AGE_GROUP;
extern  NSString *NEOMA_USER_AGE;
extern  NSString *NEOMA_USER_GENDER;
extern  NSString *NEOMA_USER_NATIONALITY ;
extern NSString *NEOMA_USER_LANGUAGE;
extern  NSString *NEOMA_USER_HOMETOWN;
extern  NSString *NEOMA_USER_PHONENO;
extern  NSString *NEOMA_USER_PREFERENCES;
extern NSString *NEOMA_LOCATION_FILE;
extern NSString *NEOMA_USER_SOCIAL_ID;
extern NSString *NEOMA_NOTIFICATIONS;
extern NSString *NEOMA_SOUND;
extern NSString *NEOMA_USER_PREFERENCES_LIST ;
extern const struct USERAGEGROUPRANGE
{
    __unsafe_unretained NSString *lessThan15;
    __unsafe_unretained NSString *moreThan15LessThen25;
    __unsafe_unretained NSString *moreThan25LessThen35;
    __unsafe_unretained NSString *moreThan35LessThen45;
    __unsafe_unretained NSString *moreThan45LessThen55;
    __unsafe_unretained NSString *moreThan55LessThen65;
    __unsafe_unretained NSString *moreThan65;
} NeomaUserAgeGroup;

extern const struct NEOMAUSERLOGINMODE
{
    __unsafe_unretained NSString *NMDEFAULTMODE;
    __unsafe_unretained NSString *NMSINGLEUSERMODE;
    __unsafe_unretained NSString *NMMULTIUSERPLUSMODE;
    __unsafe_unretained NSString *NMMULTIUSERMODE;
} NeomaUserLoginMode;

extern const struct NeomaUserSessionModeEnum
{
    __unsafe_unretained NSString *NMEMULTIUSERMODE;
    __unsafe_unretained NSString *NMHSINGLEUSERMODE;
    __unsafe_unretained NSString *NMDEFAULTMODE;
    __unsafe_unretained NSString *NMSINGLEUSERMODE;
    __unsafe_unretained NSString *NMMULTIUSERPLUSMODE;
    __unsafe_unretained NSString *NMMULTIUSERMODE;
} NeomaUserSessionMode;



extern const struct NEOMAATTRIBUTENAME
{
    __unsafe_unretained NSString *FIRSTNAME;
    __unsafe_unretained NSString *LASTNAME;
    __unsafe_unretained NSString *AGERANGE;
    __unsafe_unretained NSString *SEX;
    __unsafe_unretained NSString *PREFERENCE;
    __unsafe_unretained NSString *LANGUAGE;
    __unsafe_unretained NSString *NATIONALITY;
    __unsafe_unretained NSString *EMAIL ;
    __unsafe_unretained NSString *PHONE;
    __unsafe_unretained NSString *SOCIALID ;
}NeomaAttributeName;
@end
