//
//  NeomaServerRequest.h
//  NeomaSDK
//
//  Created by Antima Gangwar on 15/10/19.
//  Copyright © 2019 Neoma Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NeomaServerRequest : NSObject
// registration and login of user
//Default user mode
//+(void)registerOrLoginWithCallBack:(void(^)(void))callback;
//Single User Mode
//+(void)registerOrLogin:(NSString*)credential WithCallBack:(void(^)(void))callback;
//Multi User Mode
+(void)uniqueDeviceRegisterOrLoginWithCredential:(NSString*)credential profile:(NSDictionary *)profile WithCallBack:(void(^)(NSString *))callback;
+(void)credentialRegisterOrLoginWithCredential:(NSString*)credential profile:(NSDictionary *)profile WithCallBack:(void(^)(NSString *))callback;
//+(Boolean)saveUserProfile:(NSDictionary *)userDetails completionHandler:(void(^)(void))completionHandler;

+(void)saveProfile:(NSDictionary *)dictionary  completionHandler:(void(^)(void))completionHandler;
+(void)saveProfile:(NSDictionary *)dictionary;
+(void)changeAttribute:(NSString *)attribute value:(NSString *)value;
+(void)saveSettings:(NSDictionary *)userSettings;

+(void)publishHeatmapData;

+(void)logoutFromServer;


+(NSArray *)getInsights:(NSString *)language;
+(NSArray *)getReaders;
@end

NS_ASSUME_NONNULL_END
