//
//  AdvertViewController.h
//  Neoma
//
//  Created  on 8/8/15.
//  Copyright (c) 2015 Neoma. All rights reserved.
//=

#import <UIKit/UIKit.h>
#import "NMNotification.h"

@protocol AdvertViewControllerDelegate <NSObject>
@optional
-(void)closeViewController;
-(void)goToMap;
-(void)likeAdvert:(NSString *)key;
@end
@interface AdvertViewController : UIViewController<UITextViewDelegate>
{
    // Delegate to respond back
    id <AdvertViewControllerDelegate> _delegate;
}
@property (weak, nonatomic) IBOutlet UIButton *closeButton;
@property (weak, nonatomic) IBOutlet UIButton *mapButtom;
@property BOOL showCart;

@property (weak, nonatomic) IBOutlet UIButton *backButton;
@property (nonatomic,strong) id delegate;

@property (weak, nonatomic) IBOutlet UIImageView *image;

@property (weak, nonatomic) IBOutlet UITextView *content;
@property (weak, nonatomic) IBOutlet UILabel *name;
@property (strong, nonatomic) NMNotification* note;
@property (strong, nonatomic) IBOutlet UIImageView *imageView;

@property NSString *url;
@property NSString *heading;
@property NSString *detail;
@property NSString *key;
@property NSData *im;
@property UIImage *mailImage;
//@property NSString *thumb;
//@property BOOL showMap;
@property BOOL navigationBarPresent;
@property BOOL singleAD;
//@property Boolean autoSave;

@property (nonatomic) int currentIndex;
@property (weak, nonatomic) IBOutlet UIButton *likeButton
;

-(void)updateView;
- (IBAction)closeView:(id)sender ;

@end
