//
//  NeomaPropertyManager.h
//  NeomaSDK
//
//  Created by Antima Gangwar on 22/01/20.
//  Copyright © 2020 Neoma Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NeomaPropertyManager : NSObject

/*
 set ClientAccount : it will get sdkSettings of the client
 */
+(void)setClientAccountKey:(NSString *)clientAccountKey isInDebug:(BOOL)debug;

/*
 requesting for notification in background near neoma beacon
 */
+(void)initNeomaSDK:(UIApplication *)application withLaunchOptions:(NSDictionary *)launchOptions;
+(void)initNeomaSDKWithoutLaunchOptions:(UIApplication *)application;
+(NSMutableArray *)getBeaconList;
+(void)registerOrLoginWithCallBack:(void(^)(void))callback;
@end

NS_ASSUME_NONNULL_END
