//
//  ProfileViewController.m
//  iosAWSExample
//
//  Created by Antima on 9/12/17.
//  Copyright © 2017 Antima. All rights reserved.
//

#import "ProfileViewController.h"
#import <GaiaSDK/GaiaSDK.h>
@interface ProfileViewController ()
@property (strong, nonatomic) UIAlertController *ageGroupActionSheet;
@property (strong, nonatomic) UIAlertController *genderGroupActionSheet;
@property (strong, nonatomic) UIAlertController *titleGroupActionSheet;
@property (strong, nonatomic) UIAlertController *maritalGroupActionSheet;
@property (strong, nonatomic) UIAlertController *tierGroupActionSheet;
@property (strong, nonatomic) UIAlertController *rsvpGroupActionSheet;
@property (strong, nonatomic) IBOutlet UILabel *gender;
@property (strong, nonatomic) IBOutlet UILabel *age;
@property (strong, nonatomic) IBOutlet UILabel *titles;
@property (strong, nonatomic) IBOutlet UILabel *marital;
@property (strong, nonatomic) IBOutlet UILabel *tier;
@property (strong, nonatomic) IBOutlet UILabel *rsvp;

@end

@implementation ProfileViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self initAgeActionSheet];
    [self initGenderActionSheet];
    [self initrsvpActionSheet];
    [self initTierActionSheet];
    [self initTitleActionSheet];
    [self initMaritalActionSheet];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(void)initGenderActionSheet{
    self.genderGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your gender?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_genderGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Male" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.gender.text = @"M";
        
    }]];
    [_genderGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Female" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.gender.text = @"F";
        
    }]];
}
-(void)initAgeActionSheet{

    self.ageGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your age group?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"<15" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"LESS_THAN_15";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"15-25" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"BETWEEN_15_25";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"26-35" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"BETWEEN_26_35";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"36-45" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"BETWEEN_36_45";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"46-55" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"BETWEEN_46_55";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"56-65" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"BETWEEN_56_65";
        
    }]];
    [_ageGroupActionSheet addAction:[UIAlertAction actionWithTitle:@">65" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.age.text = @"MORE_THAN_66";
        
    }]];
}
-(void)initTitleActionSheet{
    
    self.titleGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your title?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_titleGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"MRS" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.titles.text = @"MRS";
        
    }]];
    [_titleGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"MS" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.titles.text = @"MS";
        
    }]];
    [_titleGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"MR" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.titles.text = @"MR";
        
    }]];
    [_titleGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"MISS" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.titles.text = @"MISS";
        
    }]];

}
-(void)initTierActionSheet{
    self.tierGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your tier?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"LOGINED" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"LOGINED";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"MP" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"MP";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"TM" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"TM";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"T0" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"T0";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"T1" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"T1";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"T2" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"T2";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"T3" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"T3";
        
    }]];
    [_tierGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"T4" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.tier.text = @"T4";
        
    }]];

}
-(void)initMaritalActionSheet{
    self.maritalGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your marital status?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_maritalGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Married" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.marital.text = @"Married";
    }]];
    [_maritalGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Single" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.marital.text = @"Single";
    }]];

}
-(void)initrsvpActionSheet{
    self.rsvpGroupActionSheet = [UIAlertController alertControllerWithTitle:@"Select Your rsvp status?" message:@"" preferredStyle:UIAlertControllerStyleActionSheet];
    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_rsvpGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Invited" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.rsvp.text = @"Invited";
        
    }]];

    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_rsvpGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Registered" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.rsvp.text = @"Registered";
        
    }]];

    //@"<15", @"15-25", @"25-35",@"35-45",@"45-55",@"55-65",@">65"
    [_rsvpGroupActionSheet addAction:[UIAlertAction actionWithTitle:@"Checked-in" style:UIAlertActionStyleDefault handler:^(UIAlertAction *action) {
        // Distructive button tapped.
        self.rsvp.text = @"Checked-in";
        
    }]];
    
}
- (IBAction)showGender:(id)sender {
    if ( [_genderGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _genderGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:self.genderGroupActionSheet animated:YES completion:nil];
}
- (IBAction)showAge:(id)sender {
    if ( [_ageGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _ageGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:_ageGroupActionSheet animated:YES completion:nil];
}
- (IBAction)showTitle:(id)sender {
    if ( [_titleGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _titleGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:_titleGroupActionSheet animated:YES completion:nil];
    
}
- (IBAction)showTier:(id)sender {
    if ( [_tierGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _tierGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:_tierGroupActionSheet animated:YES completion:nil];
}
- (IBAction)showMarital:(id)sender {
    if ( [_maritalGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _maritalGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:_maritalGroupActionSheet animated:YES completion:nil];
}
- (IBAction)showRsvp:(id)sender {
    if ( [_rsvpGroupActionSheet respondsToSelector:@selector(popoverPresentationController)] ) {
        // iOS8
        _rsvpGroupActionSheet.popoverPresentationController.sourceView =self.view;
    }
    
    [self presentViewController:_rsvpGroupActionSheet animated:YES completion:nil];
}
- (IBAction)saveProfile:(id)sender {
    NSMutableDictionary *dictionary = [[NSMutableDictionary alloc] init];
    if(![_gender.text isEqualToString:@"No gender selected"])
        [dictionary setObject:_gender.text forKey:@"sex"];
     if(![_age.text isEqualToString:@"No age selected"])
        [dictionary setObject:_age.text forKey:@"ageRange"];
     if(![_tier.text isEqualToString:@"No tier selected"])
        [dictionary setObject:_tier.text forKey:@"tier"];
    if(![_titles.text isEqualToString:@"No title selected"])
        [dictionary setObject:_titles.text forKey:@"title"];
    if(![_rsvp.text isEqualToString:@"No rsvp status selected"])
        [dictionary setObject:_rsvp.text forKey:@"rsvp_status"];
    if(![_marital.text isEqualToString:@"No marital status selected"])
        [dictionary setObject:_marital.text forKey:@"maritalStatus"];
 //   [NeomaManager saveProfile:dictionary];

}
- (IBAction)refreshThisZone:(id)sender {
  //  [NeomaManager refreshThisZone];
}
- (IBAction)closeView:(id)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}

@end
