
//
//  ViewController.m
//  iosAWSExample
//
//  Created by Antima on 8/17/17.
//  Copyright © 2017 Antima. All rights reserved.
//

#import "ViewController.h"
#import <GaiaSDK/GaiaSDK.h>
#import <sys/utsname.h>

@interface ViewController ()
@property (strong, nonatomic) IBOutlet UITextField *username;
@property (strong, nonatomic) IBOutlet UIButton *logout;
@property (strong, nonatomic) IBOutlet UIButton *login;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self setLoginLogout];
    
}

- (IBAction)logout:(id)sender {
    [self setLoginStatus:NO];
    [NeomaController logoutFromCurrentAccount];
}


- (IBAction)login:(id)sender {
    NSLog(@"empty username");

    if([_username.text isEqualToString:@""]){
        NSLog(@"empty username");
    }else{
        [self setLoginStatus:YES];
        NSMutableDictionary *dictionary = [[NSMutableDictionary alloc] init];
        [dictionary setObject:@"Married" forKey:@"marialStatus"];
        
     //   [NeomaManager registerOrLoginWithCallBack:nil];
        [NeomaManager registerOrLogin:_username.text WithCallBack:nil];

        
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)setLoginStatus:(BOOL)status{
    
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setBool:status forKey:@"loginStatus"];
    [defaults synchronize];
    [self setLoginLogout];

}
-(void)setLoginLogout{

    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    if (!([[[defaults dictionaryRepresentation] allKeys] containsObject:@"loginStatus"])) {
   //     [_login setEnabled:YES];
        [_logout setEnabled:NO];
    }else{
     //   [_login setEnabled:![defaults boolForKey:@"loginStatus"]];//
        [_logout setEnabled:[defaults boolForKey:@"loginStatus"]];
    }
}
- (IBAction)saveProfile:(id)sender {
    NSMutableDictionary *dictionary = [[NSMutableDictionary alloc] init];
        [dictionary setObject:@"F" forKey:@"sex"];
        [dictionary setObject:@"BETWEEN_15_25" forKey:@"ageRange"];
    [dictionary setObject:@"T1" forKey:@"tier"];
        [dictionary setObject:@"91" forKey:@"nationality"];
    [dictionary setObject:@"Ms" forKey:@"title"];
    [NeomaServerRequest saveProfile:dictionary];
}

@end
